
QGIS Application - Bug report #18163

[Vector Save As...] Extension is not replaced in filename when switching format

2018-02-21 11:29 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26054

Description

Select a vector layer --> Save as

Click the browse button to select file name, let's say "test" (in GeoPackage format)

The file path is now shown as /path/to/test.gpkg

Now switch the file format to shapefile

The File name is still shown as /path/to/test.gpkg

Export

The created file is name /path/to/test.gpkg.shp (a bit ugly)

Also affects master.

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 01:56 PM - Harrissou Santanna

- Affected QGIS version changed from 2.18.16 to 3.5(master)

- Status changed from Feedback to Open

Still affects 3.5
